/*
 * Copyright (c) 2003, 2004 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: occ.h,v 1.11 2004/12/30 00:37:12 ca Exp $
 */

#ifndef	DADB_OCC_H
#define DADB_OCC_H	1

#include "sm/generic.h"
#include "sm/pthread.h"
#include "sm/occ.h"

/* default timeout for OCC entries */
#define OCCE_TO	60	/* seconds */

extern sm_ret_T	  occ_entry_free(occ_entry_hd_P _occ_fl_hd, occ_entry_P _occ_entry, pthread_mutex_t *_occ_mutex, thr_lock_T _locktype);
extern sm_ret_T	  occ_entry_new(OCC_HT_P _occ_ht, occ_entry_hd_P _occ_fl_hd, ipv4_T _ipv4, occ_entry_P *_pocc_entry, pthread_mutex_t *_occ_mutex, thr_lock_T _locktype);

#endif /* DADB_OCC_H */
